pipeline {
  agent any
  stages {
    stage('Build') {
      when { 
        branch 'master' 
      }
      steps {
        sh '''cd main
              bundle
              bundle exec jekyll build'''
      }
    }
    stage('Deploy') {
      when { 
        branch 'master' 
      }
      steps {
        sh "rm -rf /var/www/ellpeck/*"
        sh "cp -r main/_site/. /var/www/ellpeck"
      }
    }
  }
}